Bug 746532 - Cherokee 1.2.100 RPMs built without LDAP, GeoIP support
Summary: Cherokee 1.2.100 RPMs built without LDAP, GeoIP support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cherokee
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Lisý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-16 23:09 UTC by sk.random2
Modified: 2011-11-25 02:08 UTC (History)
1 user (show)

Fixed In Version: cherokee-1.2.101-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 858542 (view as bug list)
Environment:
Last Closed: 2011-11-25 01:53:28 UTC
Type: ---


Attachments (Terms of Use)

Description sk.random2 2011-10-16 23:09:06 UTC
Description of problem:

The Cherokee 1.2.100 RPMs currently in testing have been built without support for LDAP or GeoIP.  LDAP and GeoIP support is a must for these packages and especially so as previous versions (1.2.99, at least) were built with support for LDAP/GeoIP.  Existing Cherokee configurations relying on these modules being present cause Cherokee to fail to start without them (eg users upgrading).

Version-Release number of selected component (if applicable):

1.2.100-1 RPMs (logs appear to indicate this affects all builds)

How reproducible:

Install testing RPMs and observe that relevant plugins in /usr/lib64/cherokee/ are missing (or note build log details as below)

Additional info:

Compare example build log at http://kojipkgs.fedoraproject.org/packages/cherokee/1.2.99/1.el6/data/logs/x86_64/build.log to http://kojipkgs.fedoraproject.org/packages/cherokee/1.2.100/1.el6/data/logs/x86_64/build.log :

1.2.99:
...
checking for ldap_init in -lldap... yes
checking ldap.h usability... yes
checking ldap.h presence... yes
checking for ldap.h... yes
checking for ldap_start_tls_s in -lldap... yes
...
checking for GeoIP_new in -lGeoIP... yes
checking GeoIP.h usability... yes
checking GeoIP.h presence... yes
checking for GeoIP.h... yes


1.2.100:
...
checking for ldap_init in -lldap... no
checking ldap.h usability... no
checking ldap.h presence... no
checking for ldap.h... no
checking for ldap_start_tls_s in -lldap... no
...
checking for GeoIP_new in -lGeoIP... no
checking GeoIP.h usability... no
checking GeoIP.h presence... no
checking for GeoIP.h... no

Comment 1 Pavel Lisý 2011-10-18 07:25:55 UTC
You are right, it's my fault. It will be back in 1.2.100-2

Comment 2 Fedora Update System 2011-10-18 08:51:47 UTC
cherokee-1.2.100-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.fc16

Comment 3 Fedora Update System 2011-10-18 08:54:12 UTC
cherokee-1.2.100-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.fc15

Comment 4 Fedora Update System 2011-10-18 09:27:08 UTC
cherokee-1.2.100-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.fc14

Comment 5 Fedora Update System 2011-10-18 09:28:32 UTC
cherokee-1.2.100-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.el6

Comment 6 Fedora Update System 2011-10-18 09:29:27 UTC
cherokee-1.2.100-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.el5

Comment 7 Fedora Update System 2011-10-18 09:30:32 UTC
cherokee-1.2.100-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.el4

Comment 8 Fedora Update System 2011-10-18 19:33:14 UTC
Package cherokee-1.2.100-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cherokee-1.2.100-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-4723
then log in and leave karma (feedback).

Comment 9 sk.random2 2011-10-19 00:05:04 UTC
Yep, working well with LDAP and GeoIP support.  Karma left against the EL6 build -- thanks very much!

Comment 10 Fedora Update System 2011-10-19 14:23:53 UTC
cherokee-1.2.101-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.fc16

Comment 11 Fedora Update System 2011-10-19 14:24:39 UTC
cherokee-1.2.101-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.fc15

Comment 12 Fedora Update System 2011-10-19 14:25:36 UTC
cherokee-1.2.101-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.fc14

Comment 13 Fedora Update System 2011-10-19 14:26:18 UTC
cherokee-1.2.101-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.el6

Comment 14 Fedora Update System 2011-10-19 14:27:17 UTC
cherokee-1.2.101-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.el5

Comment 15 Fedora Update System 2011-10-19 14:27:58 UTC
cherokee-1.2.101-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.el4

Comment 16 Fedora Update System 2011-11-25 01:53:28 UTC
cherokee-1.2.101-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-11-25 01:54:13 UTC
cherokee-1.2.101-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-11-25 02:04:17 UTC
cherokee-1.2.101-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-11-25 02:05:05 UTC
cherokee-1.2.101-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-11-25 02:05:43 UTC
cherokee-1.2.101-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2011-11-25 02:08:08 UTC
cherokee-1.2.101-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.